export class tswRef {
    dbg_name;
    val;
    constructor(dbg_name) {
        this.dbg_name = dbg_name;
    }
    set(v) {
        this.val = v;
    }
    get() {
        return this.val;
    }
    isValid() {
        return this.val != null;
    }
    asElement() {
        if (this.val == null)
            throw new Error("ref is null");
        if (!(this.val instanceof Element))
            throw new Error("ref points not to an Element");
        return this.val;
    }
    asHtmlElement(baseClass = HTMLElement) {
        if (this.val == null)
            throw new Error("ref is null");
        if (!(this.val instanceof baseClass))
            throw new Error(`ref points to an element that is not ${baseClass.name}`);
        return this.val;
    }
}
